Bug 241015 - idmapd startup script fails when sunrpc is statically linked
Summary: idmapd startup script fails when sunrpc is statically linked
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Steve Dickson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-23 17:59 UTC by Dan Muntz
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2007-0651
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 17:15:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0651 normal SHIPPED_LIVE nfs-utils bug fix and enhancement update 2007-10-30 16:19:49 UTC

Description Dan Muntz 2007-05-23 17:59:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; (R1 1.5); .NET CLR 2.0.50727)

Description of problem:
The startup script of idmapd checks to see if the sunrpc module is loaded, and fails if it doesn't find the module.  Unfortunately, this test also fails if sunrpc is statically linked into the kernel, preventing idmapd from starting.  This bug is also in FC*.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Install a kernel with sunrpc linked statically
2. Try to start idmapd with the rc script

Actual Results:
idmapd fails to start, reporting that the sunrpc module is not loaded

Expected Results:
idmapd should have started

Additional info:

Comment 1 Dan Muntz 2007-05-23 18:02:07 UTC
When I submitted this bug, bugzilla came back and said "product name does not 
exist" and told me to go back and try again.  Apparently the bug went in 
anyway, but someone might want to look into this.  I'd submit another report, 
but I can't really tell from this end what I did that might have triggered the 
problem.

Comment 2 Steve Dickson 2007-05-23 20:34:26 UTC
Question: when sunrpc is not a module, who or what
mounts /var/lib/nfs/rpc_pipefs? 


Comment 3 Dan Muntz 2007-05-23 21:24:41 UTC
I have it in /etc/fstab (I think CITI has this in some of their documentation).

Comment 4 Steve Dickson 2007-06-07 14:19:49 UTC
hmm... maybe we the initscript can check for the existance
of /var/lib/nfs/rpc_pipefs if it does not exist
then do the modprobes.. 

Comment 5 RHEL Product and Program Management 2007-06-07 14:24:01 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 Steve Dickson 2007-06-28 13:13:14 UTC
fixed in nfs-utils-1.0.9-22.el5

Comment 11 errata-xmlrpc 2007-11-07 17:15:33 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0651.html



Note You need to log in before you can comment on or make changes to this bug.